'Wochentag-Statistik   DateExpert-Demo-Programm (c) M. Heier
'Dieses Programm erstellt graphisch eine Statistik ber die
'Wochentag-Verteilung der Datumseintrge in der Datei WOCHENT.DAT,
'die z.B. von einer Datenbank exportiert worden sind.


CLS
PRINT "                              Wochentag-Statistik"

'Bildschirm aufbauen
LOCATE 5,1
PRINT "Daten eingelesen :"
PRINT
PRINT
PRINT "Mo"
PRINT
PRINT "Di"
PRINT
PRINT "Mi"
PRINT
PRINT "Do"
PRINT
PRINT "Fr"
PRINT
PRINT "Sa"
PRINT
PRINT "So"


'Daten-Datei ffnen
'Achtung: Eventuell mu beim OPEN-Befehl ein anderer Pfad angegeben werden!

OPEN READ c:\de\programm\wochentg.dat

WHILEDATA

  'Anzahl der Daten 
  LOCATE 5,20
  INCR anzahl
  PRINT anzahl

  'Datumsangabe einlesen
  INPUTD# t m j

  'Wochentagnummer berechnen und an die Variable wtnummer bergeben
  WN t m j wtnummer

  GOSUB BalkenZeichnen

WHILEEND

CLOSE READ
LOCATE 22,1
END


BalkenZeichnen:
  'dieses Unterprogramm macht die Verarbeitung.
  'Je nach Wochentagnummer, die entsprechende Wochentag-Variable
  'um eins erhhen, und den Cursor an den richtigen Balken setzen

  IF wtnummer=1 THEN
    'Montag:
    INCR mo
    LOCATE 8,3+mo
    PRINT " ";
    PRINT mo
  ENDIF

  IF wtnummer=2 THEN
    'Dienstag:
    INCR di
    LOCATE 10,3+di
    PRINT " ";
    PRINT di
  ENDIF

  IF wtnummer=3 THEN
    'Mittwoch:
    INCR mi
    LOCATE 12,3+mi
    PRINT " ";
    PRINT mi
  ENDIF

  IF wtnummer=4 THEN
    'Donnerstag:
    INCR do
    LOCATE 14,3+do
    PRINT " ";
    PRINT do
  ENDIF

  IF wtnummer=5 THEN
    'Freitag:
    INCR fr
    LOCATE 16,3+fr
    PRINT " ";
    PRINT fr
  ENDIF

  IF wtnummer=6 THEN
    'Samstag:
    INCR sa
    LOCATE 18,3+sa
    PRINT " ";
    PRINT sa
  ENDIF

  IF wtnummer=0 THEN
    'Sonntag:
    INCR so
    LOCATE 20,3+so
    PRINT " ";
    PRINT so
  ENDIF

RETURN
